Bug 239322 - audio/mixxx21: fix build on non-x86
Summary: audio/mixxx21: fix build on non-x86
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-19 23:07 UTC by Piotr Kubaj
Modified: 2019-08-13 01:22 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (acm)


Attachments
patch (1.81 KB, patch)
2019-07-19 23:07 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (acm)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-07-19 23:07:39 UTC
Created attachment 205910 [details]
patch

Ports shouldn't optimize for the builder's CPU. It also breaks build on non-x86.

Also include sys/types.h in plugins/soundsourcem4a/soundsourcem4a.h. GCC needs it.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-08-02 14:23:10 UTC
This builds for me on both amd64 and powerpc64.
Comment 2 commit-hook freebsd_committer 2019-08-05 14:00:05 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Aug  5 13:59:26 UTC 2019
New revision: 508171
URL: https://svnweb.freebsd.org/changeset/ports/508171

Log:
  audio/mixxx21: fix build on non-x86

  Ports shouldn't optimize for the builder's CPU. It also breaks build on non-x86.

  Also include sys/types.h in plugins/soundsourcem4a/soundsourcem4a.h. GCC needs it.

  PR:		239322
  Approved by:	acm (maintainer timeout), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21146

Changes:
  head/audio/mixxx21/Makefile
  head/audio/mixxx21/files/patch-plugins_soundsourcem4a_soundsourcem4a.h